Gestiono
Referencia de APIV2 / Accounting / Beneficiary

Create Beneficiary contact

POST /v2/beneficiary/contact • validated by `postContactV2`

← Back to full API reference
POST/v2/beneficiary/contactAuthentication required
  • Validated by Zod schema: postContactV2.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • beneficiaryId (required)

    Type: number

  • contacts (required)

    Type: array

    Example:

  • contacts[] (required)

    Type: object

  • contacts[].type (required)

    Type: string

  • contacts[].dataType

    Type: enum

    Example: string

  • contacts[].data (required)

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "beneficiaryId": 1,
  "contacts": [
    {
      "type": "string",
      "data": "string"
    }
  ]
}

Sample response

json
{
  "contactIds": "<contactIds>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v2/beneficiary/contactAuthentication required

Group: V2 / Accounting / Beneficiary

POST /v2/beneficiary/contact • validated by `postContactV2`

  • Validated by Zod schema: postContactV2.

Body fields

  • beneficiaryIdrequired
    Type: number
  • contactsrequired
    Type: array
    Ejemplo:
  • contacts[]required
    Type: object
  • contacts[].typerequired
    Type: string
  • contacts[].dataType
    Type: enum
    Ejemplo: string
  • contacts[].datarequired
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.